%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%global pear_name Horde_Log
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Log
Version:        2.3.0
Release:        1%{?dist}
Summary:        Horde Logging library

Group:          Development/Libraries
License:        BSD
URL:            http://pear.horde.org
Source0:        http://pear.horde.org/get/%{pear_name}-%{version}.tgz

BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.7.0
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(pear.horde.org/%{pear_name}) = %{version}
Requires:       php-pear(pear.horde.org/Horde_Constraint) >= 2.0.0
Requires:       php-pear(pear.horde.org/Horde_Exception) >= 2.0.0
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(pear.horde.org)
Requires:       php-common >= 5.3.0
Requires:       php-dom php-date php-pcre php-reflection php-spl

BuildRequires:  php-channel(pear.horde.org)
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
BuildRequires:  php-simplexml php-libxml

%description
Horde Logging package with configurable handlers, filters, and formatting.

%prep
%setup -q -c
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{pear_name}-%{version}/%{name}.xml

cd %{pear_name}-%{version}

%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.

%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}

%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit \
    -d date.timezone=UTC \
    .

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        pear.horde.org/%{pear_name} >/dev/null || :
fi


%files
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/Log
%{pear_phpdir}/Horde/Log.php
%{pear_testdir}/Horde_Log

%changelog
* Tue Feb 28 2017 josef radinger <cheese@nosuchhost.net> - 2.3.0-1
- bump version

* Sat Dec 03 2016 josef radinger <cheese@nosuchhost.net> - 2.2.0-2
- bump version
- add check-section

* Thu Apr 07 2016 josef radinger <cheese@nosuchhost.net> - 2.2.0-1
- bump version

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.1.3-1
- bump version

* Tue Apr 28 2015 josef radinger <cheese@nosuchhost.net> - 2.1.2-1
- bump version

* Sun Jan 11 2015 josef radinger <cheese@nosuchhost.net> - 2.1.1-1
- bump version

* Thu Oct 17 2013 josef radinger <cheese@nosuchhost.net> - 2.1.0-1
- Update to 2.1.0

* Tue Dec 18 2012 Nick Bebout <nb@fedoraproject.org> - 2.0.1-2
- Fix packaging issues

* Wed Dec 12 2012 Nick Bebout <nb@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1

* Thu Aug 2 2012 Nick Bebout <nb@fedoraproject.org> - 1.1.2-2
- Fix packaging issues

* Sat Jan 28 2012 Nick Bebout <nb@fedoraproject.org> - 1.1.2-1
- Initial package

